#pragma once

#include "Fenster.h"

namespace Framework
{
    class UIDialog : public Fenster
    {
    protected:
        __declspec( dllexport ) void adjustSize();

    public:
        __declspec( dllexport ) UIDialog( Schrift *schrift );
        __declspec( dllexport ) virtual ~UIDialog();
        // Fgt dem Fenster eine Zeichnung hinzu
        //  obj: Die Zeichnung
        __declspec( dllexport ) virtual void addMember( Zeichnung *obj ) override;
        // Entfernt eine Zeichnung aus dem Fenster
        //  zObj: Die Zeichnung (ohne erhhten reference Counter)
        __declspec( dllexport ) virtual void removeMember( Zeichnung *zObj ) override;
        // Entfernt alle Zeichnungen aus dem Fenster
        __declspec( dllexport ) virtual void removeAll() override;
    };

    class UIMessageDialog : public UIDialog
    {
    public:
        __declspec( dllexport ) UIMessageDialog( const char *titel, const char *message, Schrift *schrift );
        __declspec( dllexport ) virtual ~UIMessageDialog();
    };

}